%define libsoup_version 2.1.8
%define eds_version 1.6.2

%define gettext_package evolution-webcal

Name: evolution-webcal
Summary: A handler for webcal URIs
Version: 2.4.1
Release: 3.4
License: GPL
Group: Applications/Internet
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libsoup >= %{libsoup_version}
Requires: evolution-data-server >=  %{eds_version}
Requires: libgnomeui
BuildRequires: libsoup-devel >= %{libsoup_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: libgnomeui-devel

%description
evolution-webcal is a small helper application that can be run when webcal URIs are clicked in web browsers.
It adds the calendar to your evolution-data-server, which will make the calendar appear in Evolution and in the gnome-panel's calendar.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{gettext_package}
grep -q '/usr/share/locale' %{gettext_package}.lang || exit 1

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="evolution-webcal.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/evolution-webcal.schemas
%{_libexecdir}/evolution-webcal


%changelog
* Thu Jun 15 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Jun 06 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-3.4
- Rebuild for new evolution-data-server

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> - 2.4.1-3
- rebuild against new e-d-s

* Tue Dec 20 2005 Matthias Clasen <mclasen@redhat.com> 2.4.1-2
- Rebuild against new libedataserver
 
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 18 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.1-1
- 2.4.1

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0.1-2
- rebuild for new e-d-s

* Wed Sep  7 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.0.1-1
- 2.4.0.1

* Mon Aug 22 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-3
- rebuild

* Mon Aug 15 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-2
- rebuild

* Tue Aug  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.91-1
- 2.3.91

* Mon Aug  8 2005 Tomas Mraz <tmraz@redhat.com> - 2.3.90-2
- rebuild with new gnutls

* Mon Jul 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.90-1
- 2.3.90

* Wed Mar  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.0-1
- updated from 2.1.92 to 2.2.0

* Tue Mar  1 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.92-1
- updated from 2.1.91 to 2.1.92

* Wed Feb  9 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.91-1
- updated from 2.1.4 to 2.1.91

* Wed Jan 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.4-2
- Exclude ppc64 build since mozilla is not supported, hence e-d-s is not supported

* Wed Jan 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.1.4-1
- updated from 1.0.10 to 2.1.3
- removed evolution-webcal.applications; this was removed in version 2.1.1
- updated e-d-s requirement from 0.0.91 to 1.1.0

* Fri Oct 29 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-2
- added missing requirements on libgnomeui (#137554)

* Wed Sep  1 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-1
- updated from 1.0.9 to 1.0.10

* Mon Aug 30 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-2
- Converted dashes to underscores in version defines; usage should now match up with definition

* Thu Aug 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-1
- Initial build.

